Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#59784 - [breeze] Don't remove Qt4 Compatibility

Attached to Project: Arch Linux
Opened by Ongun Kanat (6ng4n) - Friday, 24 August 2018, 02:55 GMT
Last edited by Antonio Rojas (arojas) - Friday, 24 August 2018, 06:28 GMT
Task Type General Gripe
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

The latest 5.13.4-2 update removes breeze-kde4 package but this package in fact doesn't provide any KDE4 libs (it links to frameworkintegration) but Qt4 styling plugins.

As long as there are Qt4 packages (there are quite a few of them including clementine, keepasx and so on) in Arch repo removing breeze-kde4 will resultin ugly and non-uniform look.

An AUR package as a fallback can be provided but providing official support for breeze-kde4 is the reasonable choice to keep providing uniform desktop look for KDE Plasma users who use Qt4 apps in the official repos.
This task depends upon

Closed by  Antonio Rojas (arojas)
Friday, 24 August 2018, 06:28 GMT
Reason for closing:  Won't fix
Comment by Antonio Rojas (arojas) - Friday, 24 August 2018, 06:28 GMT
Unfortunately the qt4 style can't be built without KDE4 libs, which we are dropping. So it will have to be an AUR package. Since this was previously a split package, someone needs to write it from scratch though.

Loading...